# Edit Style

| **Description** | Changes the attributes of a style.      |
| --------------- | --------------------------------------- |
| **Endpoint**    | `/path/{pathId}/vector/style/{styleId}` |
| **Method**      | PATCH                                   |

### Access Level Rules

| **Access Level** | edit+ |
| ---------------- | ----- |

### Processing Units

| **Processing units** | 2 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="402">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>styleId</code></td><td>The id of the style to be edited.</td><td>true</td><td></td></tr><tr><td><code>name</code></td><td>The new name of the style.</td><td>false</td><td>Default null.</td></tr><tr><td><code>default</code></td><td>Boolean indicating whether the style should become the default or non-default style.</td><td>false</td><td>Default null.</td></tr><tr><td><code>parameters</code></td><td>Object containing the new parameters of the style.</td><td>false</td><td>Default null.</td></tr><tr><td><code>method</code></td><td>The new method of the style. Must be one of "rules", "transitionPoints", "random", "singleColor" or "fromColorProperty".</td><td>false</td><td>Default null.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/styles/edit-style.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
